//
// From SwiftUI by Example by Paul Hudson
// https://www.hackingwithswift.com/quick-start/swiftui
//
// You're welcome to use this code for any purpose,
// commercial or otherwise, with or without attribution.
//

import SwiftUI

struct ContentView: View {
    var body: some View {
        HStack {
            Text("This is a short string.")
                .padding()
                .frame(maxHeight: .infinity)
                .background(.red)
    
            Text("This is a very long string with lots and lots of text that will definitely run across multiple lines because it's just so long.")
                .padding()
                .frame(maxHeight: .infinity)
                .background(.green)
        }
        .fixedSize(horizontal: false, vertical: true)
        .frame(maxHeight: 200)
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
